Zonemaster::LDNS::RR::SPF(3pm)

NAME
Zonemaster::LDNS::RR::SPF - Type SPF record

DESCRIPTION
A subclass of Zonemaster::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

spfdata()
    Returns the concatenation of all the strings composing the data of the resource record.

    For example, if an SPF resource record has the following presentation format:

        test.example. 3600 IN SPF "v=spf1 " "mx " "a " "-all"

    then spfdata() returns the string "v=spf1 mx a -all".